spring:
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 10.10.10.230:8848
        # 命名空间
        namespace: sckw_lfdc
        # 共享配置
        group: sckw-service-platform
      config:
        # 配置中心地址
        server-addr: 10.10.10.230:8848
        # 配置文件格式
        file-extension: yaml
        # 命名空间
        namespace: sckw_lfdc
        # 共享配置
        group: sckw-service-platform
        #可以读多个配置文件  需要在同一个命名空间下面可以是不同的组
        extension-configs:
          - dataId: sckw-common.yml
            group: sckw-service-platform
            refresh: true
message:
  logistics:
    order:
       pc:
        #托运订单地址
         consignLogisticsAddOrderUrl: /orderManagement/consignmentOrder
        #承运订单地址
         carriageLogisticsAddOrderUrl: /orderManagement/acceptanceOrder
       app:
        #托运订单地址
         consignLogisticsAddOrderUrl: /pages/order/transportOrderList?type=1
        #承运订单地址
         carriageLogisticsAddOrderUrl: /pages/order/transportOrderList?type=2
#spring:
#  rabbitmq:
#    username: admin
#    password: admin
#    host: 10.10.10.138
#    port: 5672
#    virtual-host: /
#  cloud:
#    nacos:
#      discovery:
#        # 服务注册地址
##        server-addr: 47.108.162.14:8848
#        server-addr: 127.0.0.1:8848
#        # 命名空间
#        namespace: sckw-service-platform-dev
#        # nacos用户名
#        username: nacos
#        # nacos密码
#        password: nacos
#        # 共享配置
#        group: sckw-service-platform
#        # 权重 1-100 数值越大权重越大分配的流量就越大，通常结合权重负载均衡策略
#      #        weight: 100
#      config:
#        # 配置中心地址
##        server-addr: 47.108.162.14:8848
#        server-addr: 127.0.0.1:8848
#        # 配置文件格式
#        file-extension: yaml
#        # 命名空间
#        namespace: sckw-service-platform-dev
#        # 共享配置
#        group: sckw-service-platform
#        enabled: true
#    stream:
#      bindings:
#        sckwSms-out-0:
#          destination: sckw-sms
#          content-type: application/json
#          default-binder: defaultRabbit
#          group: sckw
#        sckwMessage-out-0:
#          destination: sckw-message
#          content-type: application/json
#          default-binder: defaultRabbit
#          group: sckw
#      binders:
#        defaultRabbit:
#          type: rabbit
#          environment:
#            spring:
#              rabbitmq:
#                virtual-host: /
#                host: 39.104.134.114
#                port: 5672
#                username: wph
#                password: Yy123...
#    # sentinel降级配置
#    sentinel:
#      transport:
#        client-ip: ${spring.cloud.client.ip-address} # 获取本机IP地址
#        port: 8719  #默认8719端口,如果被占用会向上扫描。
#        #控制台地址
#        #dashboard: 47.108.162.14:19527
#        dashboard: 127.0.0.1:19527
#      log:
#        #日志路径
#        dir: logs/sentinel
#        # 默认将调用链路收敛，导致链路流控效果无效
#        web-context-unify: false
#        #持久化nacos配置中
#      datasource:
#        #sentinel-rule: # 唯一名称可自定义
#        #限流
#        flow:
#          nacos:
#            # 设置Nacos的连接地址、命名空间和Group ID
#            namespace:  sckw-service-platform-dev
#            server-addr:  ${spring.cloud.nacos.discovery.server-addr}
#            # username: ${spring.cloud.nacos.discovery.username}
#            # password: ${spring.cloud.nacos.discovery.password}
#            # 设置Nacos中配置文件的命名规则
#            #            data-id:  ${spring.application.name}-sentinel-flow-rules
#            data-id:  sckw-file-sentinel-flow-rules
#            group-id: SENTINEL_GROUP
#            data-type: json
#            # 必填的重要字段，指定当前规则类型是"限流"
#            rule-type: flow
#        #熔断
#        degrade:
#          nacos:
#            namespace:  sckw-service-platform-dev
#            server-addr: ${spring.cloud.nacos.discovery.server-addr}
#            #data-id: ${spring.application.name}-sentinel-degrade-rules
#            data-id: sckw-file-sentinel-degrade-rules
#            group-id: SENTINEL_GROUP
#            #熔断
#            rule-type: degrade
#      #取消慢加载
#      eager: true
#  datasource:
#    dynamic:
#      seata: true
##sfs:
##  nacos:
##    server-addr: 127.0.0.1:8848
##    namespace: 967df0d8-156b-441a-a5ab-615b4a865168
##    group: MY_GROUP
##
##    nacos:
##      server-addr: ${sfs.nacos.server-addr}
##      namespace: ${sfs.nacos.namespace}
##      group: ${sfs.nacos.group}
#
##seata:
##  # seata 服务分组，要与服务端nacos-config.txt中service.vgroup_mapping的后缀对应
##  # 事务分组名称，要和服务端对应
##  tx-service-group: sckw-transport-seata-service-group
##  service:
##    vgroup-mapping:
##      # key是事务分组名称 value要和服务端的机房名称保持一致
##      sckw-transport-seata-service-group: default
##  registry:
##    # 指定nacos作为注册中心
##    type: nacos
##    nacos:
##      server-addr: ${spring.cloud.nacos.discovery.server-addr}
##      #server-addr: 47.108.162.14:8848
##      namespace: ${spring.cloud.nacos.discovery.namespace}
##      #      group: SEATA_GROUP
##      group: ${spring.cloud.nacos.discovery.group}
##  config:
##    # 指定nacos作为配置中心
##    type: nacos
##    nacos:
##      server-addr: ${spring.cloud.nacos.discovery.server-addr}
##      #server-addr: 47.108.162.14:8848
##      namespace: ${spring.cloud.nacos.discovery.namespace}
##      group: ${spring.cloud.nacos.discovery.group}
##  application-id: ${spring.application.name}
##  #  当前不生效，使用驼峰
##  enabled: true
##  #  enable-auto-data-source-proxy: false
##  enableAutoDataSourceProxy: false
##  application-id: sckw-seata-file
## 支持feign对sentinel支持
##feign:
##  sentinel:
##    enabled: true
#
#dubbo:
#  application:
#    # 此处没有延用spring.application.name是因为当前项目本身也会注册到nacos中，如果dubbo也延用相同的名称，在nacos服务里会看到注册的producer-server服务数为2
#    name: transport-dubbo-server
#  protocol:
#    name: dubbo
#    port: -1
#    prefer-serialization: java
#  registry:
#    # 配置dubbo的注册中心为nacos
#    address: nacos://${spring.cloud.nacos.discovery.server-addr}
#    group: ${spring.cloud.nacos.config.group}
#    protocol: nacos
#    #use-as-config-center: false
#    #use-as-metadata-center: false
#aliyun:
#  oss:
#    endpoint: oss-cn-chengdu.aliyuncs.com
#    accessKeyId: LTAI5tPEbubCGq5Rdwygbz4Q
#    secret: 7mQLWMaBJeZPRV1SRGogctYGXwppjQ
#    bucket: kaiwu-saas
#links:
#isBindManyRole:
#mybatis-plus:
#  configuration:
#    # 是否将sql打印到控制面板(该配置会将sql语句和查询的结果都打印到控制台)
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl